Bug 209338 - databases/mysql56-server: Backported bugfixes and enhancements from databases/mysql57-server
Summary: databases/mysql56-server: Backported bugfixes and enhancements from databases...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Felder
URL:
Keywords:
Depends on: 209618 216244
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-06 20:21 UTC by Markus Kohlmeyer
Modified: 2017-01-26 19:59 UTC (History)
6 users (show)

See Also:


Attachments
backported bugfixes and enhancements from mysql57 (10.85 KB, patch)
2016-05-06 20:21 UTC, Markus Kohlmeyer
no flags Details | Diff
backported bugfixes and enhancements from mysql57 (12.10 KB, patch)
2016-05-06 20:39 UTC, Markus Kohlmeyer
no flags Details | Diff
backported bugfixes and enhancements from mysql57 (11.90 KB, patch)
2016-05-07 11:38 UTC, Markus Kohlmeyer
no flags Details | Diff
backported bugfixes and enhancements from mysql57 (13.38 KB, patch)
2016-05-13 22:27 UTC, Markus Kohlmeyer
no flags Details | Diff
backported bugfixes and enhancements from mysql57 (13.38 KB, patch)
2016-05-13 23:27 UTC, Markus Kohlmeyer
no flags Details | Diff
backported bugfixes and enhancements from mysql57 (13.24 KB, patch)
2016-05-15 23:34 UTC, Markus Kohlmeyer
no flags Details | Diff
backported fixes from databases/mysql57 (11.39 KB, patch)
2016-05-19 00:53 UTC, Markus Kohlmeyer
rootservice: maintainer-approval? (ports-bugs)
Details | Diff
UPDATING entry (785 bytes, patch)
2016-05-20 09:00 UTC, Markus Kohlmeyer
rootservice: maintainer-approval? (ports-bugs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kohlmeyer 2016-05-06 20:21:42 UTC
Created attachment 170058 [details]
backported bugfixes and enhancements from mysql57

This patch includes compatibility backported bugfixes and enhancements from databases/mysql57-server

Changelog:
* Use openssl/libressl from ports
* Unbundled libs
* Fixed rc-init-script
* Create and use correct confdir
  /usr/local/etc/mysql
* Default my.cnf installed to
  /usr/local/etc/mysql/my.cnf
* confdir configureable in rc.conf


See also: bug #206998 and ports r414707
Comment 1 Markus Kohlmeyer 2016-05-06 20:30:56 UTC
This will also fix bug #192657 and bug #198812

Should also fix bug #199751 and bug #205093
Comment 2 Markus Kohlmeyer 2016-05-06 20:39:58 UTC
Created attachment 170063 [details]
backported bugfixes and enhancements from mysql57


Added missing pkg-message
Comment 3 Markus Kohlmeyer 2016-05-07 11:38:38 UTC
Created attachment 170090 [details]
backported bugfixes and enhancements from mysql57


Fixed USES to not cause a build error
Cleanup Makefile a bit more


Builds and runs fine now on 10.3-RELEASE and 10-STABLE
Comment 4 Markus Kohlmeyer 2016-05-13 22:27:01 UTC
Created attachment 170262 [details]
backported bugfixes and enhancements from mysql57

This patch includes compatibility backported bugfixes and enhancements from databases/mysql57-server

Changelog:
* Use openssl/libressl from ports
* Unbundled libs
* Fixed rc-init-script
* Create and use correct confdir
  /usr/local/etc/mysql
* Default my.cnf installed to
  /usr/local/etc/mysql/my.cnf
* confdir configureable in rc.conf
* Fixes bug #192657
* Fixes bug #198812
* Fixes bug #199751
* Fixes bug #205093
* Fixes bug #205983

See also: bug #206998 and ports r414707
Comment 5 Markus Kohlmeyer 2016-05-13 22:38:41 UTC
Does not fix bug #205093 (needs a source code patch, not done yet)
Comment 6 Markus Kohlmeyer 2016-05-13 23:27:31 UTC
Created attachment 170266 [details]
backported bugfixes and enhancements from mysql57

Same patch with fixed typo in pkg-plist
Comment 7 Markus Kohlmeyer 2016-05-15 23:34:01 UTC
Created attachment 170337 [details]
backported bugfixes and enhancements from mysql57

Cleaned up patch.

This patch includes compatibility backported bugfixes and enhancements from databases/mysql57-server

Changelog:
* Use openssl/libressl from ports
* Unbundled libs
* Fixed rc-init-script
* Create and use correct confdir
  /usr/local/etc/mysql
* Default my.cnf installed to
  /usr/local/etc/mysql/my.cnf
* confdir configureable in rc.conf
* Fixes bug #192657
* Fixes bug #198812
* Fixes bug #199751
* Fixes bug #205983

See also: bug #206998 and ports r414707
Comment 8 Markus Kohlmeyer 2016-05-18 19:04:57 UTC
Preparing new patch after dependencies are committed
Comment 9 Markus Kohlmeyer 2016-05-19 00:53:21 UTC
Created attachment 170469 [details]
backported fixes from databases/mysql57


Fix to comply with hier(7) for my.cnf search path
Provide default my.cnf{,.sample} in new confdir
Add hint regarding changed my.cnf default location
Add rc.conf configureable "mysql_confdir" option
Comment 10 Markus Kohlmeyer 2016-05-20 09:00:16 UTC
Created attachment 170502 [details]
UPDATING entry


Missed the entry in UPDATING
Comment 11 commit-hook freebsd_committer 2017-01-19 22:30:12 UTC
A commit references this bug:

Author: feld
Date: Thu Jan 19 22:29:07 UTC 2017
New revision: 431919
URL: https://svnweb.freebsd.org/changeset/ports/431919

Log:
  databases/mysql56: Update to 5.6.35

  - Port improvements from MySQL 5.7 port
  - Use system libs instead of bundled
  - Fix many open PRs
  - Change MAINTAINER

  PR:		216244 192657 198812 199751 205093
  PR:		209618 211248 205983 209338

Changes:
  head/databases/mysql56-client/Makefile
  head/databases/mysql56-client/files/patch-CMakeLists.txt
  head/databases/mysql56-client/files/patch-extra_CMakeLists.txt
  head/databases/mysql56-client/files/patch-man_CMakeLists.txt
  head/databases/mysql56-client/files/patch-mysys_ssl_my_default.cc
  head/databases/mysql56-client/files/patch-scripts_CMakeLists.txt
  head/databases/mysql56-client/files/patch-support-files_CMakeLists.txt
  head/databases/mysql56-client/pkg-message
  head/databases/mysql56-server/Makefile
  head/databases/mysql56-server/distinfo
  head/databases/mysql56-server/files/my.cnf.sample.in
  head/databases/mysql56-server/files/mysql-server.in
  head/databases/mysql56-server/files/patch-mysys_ssl_my_default.cc
  head/databases/mysql56-server/pkg-message
  head/databases/mysql56-server/pkg-plist
Comment 12 commit-hook freebsd_committer 2017-01-26 19:59:40 UTC
A commit references this bug:

Author: brnrd
Date: Thu Jan 26 19:58:07 UTC 2017
New revision: 432535
URL: https://svnweb.freebsd.org/changeset/ports/432535

Log:
  MFH: r431919 r431968 r431975 r432035 r432066 r432458

  databases/mysql56: Update to 5.6.35

  - Port improvements from MySQL 5.7 port
  - Use system libs instead of bundled
  - Fix many open PRs
  - Change MAINTAINER

  PR:		216244 192657 198812 199751 205093
  PR:		209618 211248 205983 209338

  databases/mysql56-server: Rollback rc script changes

  databases/mysql56-server: Do not install my.cnf sample

  An issue was discovered where users of mysql did not have a my.cnf and
  the recent update was causing mysqld to find a sample my.cnf and load
  its parameters. This was causing errors on startup for users of innodb
  as the parameters used to init the database did not match the ones in
  the sample config file it was now reading.

  databases/mysql56-server: Fix build with LibreSSL

    - Fix CMake SSL detection
    - Always set WITH_SSL=${OPENSSLBASE}

  PR:		216311
  Approved by:	Mahdi Moktari <mokhi64@gmail.com> (maintainer)
  Differential Revision:	D9272

  Revert r432035 part 2, it breaks build with openssl from base

  With hat:	portmgr

  databases/mysql56-server: Fix OpenSSL linking

    - Force dynamic linking with OpenSSL

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/databases/mysql56-client/Makefile
  branches/2017Q1/databases/mysql56-client/files/patch-CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-cmake_ssl.cmake
  branches/2017Q1/databases/mysql56-client/files/patch-extra_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-man_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-mysys_ssl_my_default.cc
  branches/2017Q1/databases/mysql56-client/files/patch-scripts_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/files/patch-support-files_CMakeLists.txt
  branches/2017Q1/databases/mysql56-client/pkg-message
  branches/2017Q1/databases/mysql56-server/Makefile
  branches/2017Q1/databases/mysql56-server/distinfo
  branches/2017Q1/databases/mysql56-server/files/my.cnf.sample.in
  branches/2017Q1/databases/mysql56-server/files/patch-cmake_ssl.cmake
  branches/2017Q1/databases/mysql56-server/files/patch-mysys_ssl_my_default.cc
  branches/2017Q1/databases/mysql56-server/pkg-message
  branches/2017Q1/databases/mysql56-server/pkg-plist